Bug 491483 - yum groupremove "KDE (K Desktop Environment)" removes GNOME components
yum groupremove "KDE (K Desktop Environment)" removes GNOME components
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-21 13:54 EDT by Marcus Moeller
Modified: 2009-09-24 18:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-21 14:06:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Moeller 2009-03-21 13:54:20 EDT
While doing a:

yum groupremove "KDE (K Desktop Environment)"

essential and additional GNOME components are removed, too:

NetworkManager-gnome

gstreamer-plugins-ugly
gstreamer-ffmpeg

Best Regards
Marcus
Comment 1 Rex Dieter 2009-03-21 14:06:09 EDT
gnome and kde have overlapping components, that's a fact of life these days.

Sorry, but 'yum groupremove' simply isn't smart enough these days to do what you expect... which is (I assume): remove kde, but leave anything in other groups (like gnome-desktop) alone.
Comment 2 Rex Dieter 2009-03-21 14:07:01 EDT
One workaround is to:
yum groupremove kde-desktop

followed by:
yum groupinstall gnome-desktop

to restore stuff.
Comment 3 Mikko Huhtala 2009-09-23 13:39:29 EDT
I tried groupremoving KDE in the current rawhide, and it will remove, among OpenOffice and many other things, both kdm *and* gdm. I'd say it is a little too easy fort the user to end up high and dry. Can the dependencies at least be changed so that a login manager remains? Is there a situation where groupremove is actually usable?
Comment 4 Mikko Huhtala 2009-09-23 14:00:14 EDT
Doing

yum remove kdebase kdelibs

practically achieves the goal of removing KDE without killing GNOME/OpenOffice/the login manager. The dependency culprits included in the KDE group seem to be

dejavu-sans-fonts
polkit-gnome

OpenOffice depends on dejavu-sans-fonts (why?) and gdm depends on polkit-gnome.
Comment 5 Kevin Kofler 2009-09-23 15:59:44 EDT
yum groupremove doesn't do what you think it does. It is NOT the inverse of groupinstall. There is no inverse of groupinstall.
Comment 6 Mikko Huhtala 2009-09-24 18:21:10 EDT
What does uninstalling a collection from PackageKit-gnome do? I tried to look at the PackageKit yum backend code but I'm not familiar with the yum Python API. If the 'uninstall collection' operation in PackageKit-gnome amounts to a groupremove, I think that is a problem. I just saw a new post on fedoraforum by a newbie who had hosed his system by uninstalling KDE. I don't know how exactly he did the uninstalling, though.

Note You need to log in before you can comment on or make changes to this bug.